package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.Collectorwireproject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * CollectorwireprojectMapper接口
 *
 * @author hlf
 * @date 2021-08-02
 */
public interface CollectorwireprojectMapper {
    /**
     * 查询Collectorwireproject
     *
     * @param collectorwireNo CollectorwireprojectID
     * @return Collectorwireproject
     */
    public Collectorwireproject selectCollectorwireprojectById(Long collectorwireNo);

    /**
     * 查询Collectorwireproject列表
     *
     * @param collectorwireproject Collectorwireproject
     * @return Collectorwireproject集合
     */
    public List<Collectorwireproject> selectCollectorwireprojectList(Collectorwireproject collectorwireproject);

    /**
     * 新增Collectorwireproject
     *
     * @param collectorwireproject Collectorwireproject
     * @return 结果
     */
    public int insertCollectorwireproject(Collectorwireproject collectorwireproject);

    /**
     * 修改Collectorwireproject
     *
     * @param collectorwireproject Collectorwireproject
     * @return 结果
     */
    public int updateCollectorwireproject(Collectorwireproject collectorwireproject);

    /**
     * 删除Collectorwireproject
     *
     * @param collectorwireNo CollectorwireprojectID
     * @return 结果
     */
    public int deleteCollectorwireprojectById(Long collectorwireNo);

    Collectorwireproject selectCollectorwireproject(@Param("windplantNo") Long windplantNo, @Param("projectNo") Long projectNo, @Param("collectorwireNo") Long collectorwireNo);

    List<Collectorwireproject> selectCollectorwireprojectByProjectNo(@Param("windplantNo") Long windplantNo, @Param("projectNo") Long projectNo);

    Long selectNewData();

    int insertCollectorwireprojectList(List<Collectorwireproject> collectorwireprojectList);

    int deleteCollectorwireprojectByWindplantNo(Long windplantNo);

    List<Collectorwireproject> selectCollectorwireprojectByWindplantNo(Long windplantNo);

    int deleteCollectorwireprojectByProjectNo(Long projectNo);
}
